Skip to content

Read File

RetrievalReadResponse Beta.Retrieval.Read(RetrievalReadParamsparameters, CancellationTokencancellationToken = default)
POST/api/v1/retrieval/files/read

Read the parsed text content of a specific file.

ParametersExpand Collapse
RetrievalReadParams parameters
required string fileID

Body param: ID of the file to read.

required string indexID

Body param: ID of the index the file belongs to.

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
Long? maxLength

Body param: Maximum number of characters to read from the offset.

Long offset

Body param: Starting character offset.

ReturnsExpand Collapse
class RetrievalReadResponse:

File read result.

required string Content

Parsed text content of the file.

Read File

RetrievalReadParams parameters = new()
{
    FileID = "file_id",
    IndexID = "idx-abc123",
};

var response = await client.Beta.Retrieval.Read(parameters);

Console.WriteLine(response);
{
  "content": "content"
}
Returns Examples
{
  "content": "content"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/